Package org.eclipse.birt.chart.model.component

# Interface CurveFitting

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `CurveFittingImpl`

public interface CurveFitting extends IChartObject
A representation of the model object 'Curve Fitting'. This type defines the curve fitting element.

The following features are supported:

- `Line Attributes`
- `Label`
- `Label Anchor`

See Also:
  - `ComponentPackage.getCurveFitting()`

## Method Summary

Modifier and Type
Method
Description
`CurveFitting`
`copyInstance()`
`Label`
`getLabel()`
Returns the value of the 'Label' containment reference.
`Anchor`
`getLabelAnchor()`
Returns the value of the 'Label Anchor' attribute.
`LineAttributes`
`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`boolean`
`isSetLabelAnchor()`
Returns whether the value of the '`Label Anchor`' attribute is set.
`void`
`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
`setLabelAnchor(Anchor value)`
Sets the value of the '`Label Anchor`' attribute.
`void`
`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
`unsetLabelAnchor()`
Unsets the value of the '`Label Anchor`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getLineAttributes

LineAttributes getLineAttributes()
Returns the value of the 'Line Attributes' containment reference. Specifies the formatting information for the curve.

Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `setLineAttributes(LineAttributes)`
  - `ComponentPackage.getCurveFitting_LineAttributes()`

### setLineAttributes

void setLineAttributes(LineAttributes value)
Sets the value of the '`Line Attributes`' containment reference.

Parameters:
  `value` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `getLineAttributes()`

### getLabel

Label getLabel()
Returns the value of the 'Label' containment reference. A label instance to hold attributes for curve labels.

Returns:
  the value of the 'Label' containment reference.
See Also:
  - `setLabel(Label)`
  - `ComponentPackage.getCurveFitting_Label()`

### setLabel

void setLabel(Label value)
Sets the value of the '`Label`' containment reference.

Parameters:
  `value` - the new value of the 'Label' containment reference.
See Also:
  - `getLabel()`

### getLabelAnchor

Anchor getLabelAnchor()
Returns the value of the 'Label Anchor' attribute. The literals are from the enumeration `Anchor`. Specifies where the labels for the curve should be displayed.

Returns:
  the value of the 'Label Anchor' attribute.
See Also:
  - `Anchor`
  - `isSetLabelAnchor()`
  - `unsetLabelAnchor()`
  - `setLabelAnchor(Anchor)`
  - `ComponentPackage.getCurveFitting_LabelAnchor()`

### setLabelAnchor

void setLabelAnchor(Anchor value)
Sets the value of the '`Label Anchor`' attribute.

Parameters:
  `value` - the new value of the 'Label Anchor' attribute.
See Also:
  - `Anchor`
  - `isSetLabelAnchor()`
  - `unsetLabelAnchor()`
  - `getLabelAnchor()`

### unsetLabelAnchor

void unsetLabelAnchor()
Unsets the value of the '`Label Anchor`' attribute.

See Also:
  - `isSetLabelAnchor()`
  - `getLabelAnchor()`
  - `setLabelAnchor(Anchor)`

### isSetLabelAnchor

boolean isSetLabelAnchor()
Returns whether the value of the '`Label Anchor`' attribute is set.

Returns:
  whether the value of the 'Label Anchor' attribute is set.
See Also:
  - `unsetLabelAnchor()`
  - `getLabelAnchor()`
  - `setLabelAnchor(Anchor)`

### copyInstance

CurveFitting copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`